> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post queuepublish

> Publish a job in the queue.



## OpenAPI

````yaml /schema.json post /queue/publish
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /queue/publish:
    post:
      tags:
        - Queue
      description: Publish a job in the queue.
      operationId: queuePublish
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueuePublishRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueuePublishResponse'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    QueuePublishRequest:
      type: object
      properties:
        job:
          type: object
          properties:
            queue:
              type: string
            priority:
              type: integer
              anyOf:
                - const: 1
                  title: Low
                - const: 2
                  title: Medium
                - const: 3
                  title: High
            commands:
              type: array
              items:
                type: object
    QueuePublishResponse:
      type: object
      properties:
        message:
          type: string
          title: Message
          description: The result of the schedule call
        processId:
          type: string
          title: Process identifier
          description: The identifier of the scheduled job
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````